Package twisted :: Package spread :: Module flavors :: Class RemoteCopy

[frames | no frames]

## Class RemoteCopy

    Unjellyable --+
                  |
                 RemoteCopy

Known Subclasses:
  `CopiedFailure`, `RemoteCache`, `Request`

I am a remote copy of a Copyable object.

When the state from a `Copyable` object is received, an instance will be created based on the copy tags table (see setUnjellyableForClass) and sent the `setCopyableState` message. I provide a reasonable default implementation of that message; subclass me if you wish to serve as a copier for remote data.

NOTE: copiers are invoked with no arguments. Do not implement a constructor which requires args in a subclass of `RemoteCopy`!

Method Summary
| ``setCopyableState`(self, state)` I will be invoked with the state to copy locally.
| `unjellyFor(self, unjellier, jellyList)`
Inherited from Unjellyable
| ``setStateFor`(self, unjellier, state)`

Class Variable Summary
Inherited from Unjellyable
`tuple` | `__implements__` = `(<class twisted.spread.interfaces.IUnje...`

Method Details

### setCopyableState(self, state)

I will be invoked with the state to copy locally.

'state' is the data returned from the remote object's 'getStateToCopyFor' method, which will often be the remote object's dictionary (or a filtered approximation of it depending on my peer's perspective).

Generated by Epydoc 2.0 on Sat May 15 20:08:27 2004 | http://epydoc.sf.net